# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-06 15:10
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import extras.models


class Migration(migrations.Migration):

    dependencies = [
        ('tenancy', '0003_unicode_literals'),
        ('dcim', '0056_remove_site_facility'),
    ]

    operations = [
        migrations.CreateModel(
            name='Facility',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=50, unique=True)),
                ('slug', models.SlugField(unique=True)),
                ('description', models.CharField(blank=True, max_length=100)),
                ('peeringdb_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='Facility ID in PeeringDB')),
                ('city', models.CharField(blank=True, max_length=100)),
                ('latitude', models.FloatField(blank=True, null=True)),
                ('longitude', models.FloatField(blank=True, null=True)),
                ('physical_address', models.CharField(blank=True, max_length=200)),
                ('shipping_address', models.CharField(blank=True, max_length=200)),
                ('contact_name', models.CharField(blank=True, max_length=50)),
                ('contact_phone', models.CharField(blank=True, max_length=20)),
                ('contact_email', models.EmailField(blank=True, max_length=254, verbose_name='Contact E-mail')),
                ('comments', models.TextField(blank=True)),
                ('tenant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='facilities', to='tenancy.Tenant')),
            ],
            options={
                'verbose_name_plural': 'facilities',
                'ordering': ['name'],
            },
            bases=(models.Model, extras.models.CustomFieldModel),
        ),
        migrations.RemoveField(
            model_name='site',
            name='contact_email',
        ),
        migrations.RemoveField(
            model_name='site',
            name='contact_name',
        ),
        migrations.RemoveField(
            model_name='site',
            name='contact_phone',
        ),
        migrations.RemoveField(
            model_name='site',
            name='physical_address',
        ),
        migrations.RemoveField(
            model_name='site',
            name='shipping_address',
        ),
        migrations.AddField(
            model_name='site',
            name='facility',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='sites', to='dcim.Facility'),
        ),
    ]
